"Related issues" missing in 2.0.3

2012-07-16 13:17 - Martin Grotzke

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.0.3

Description

It seems as if RedmineIssues are not working / available in redmine 2.0.3.

When I create a new issue (or update an existing one) I don't see a "related to" drop-down. I'm logged in as user with admin

privileges and manager permissions for that project.

I'm running redmine 2.0.3.stable, rails 3.2.6, ruby 1.8.7, postgresql-8.4.12-0squeeze1.

I checked this also in the demo and there's also no "related to" selection available. The demo currently reports running

2.0.3.devel.9893.

History

#1 - 2012-07-16 13:40 - Martin Grotzke

The issue description shows "RedmineIssues" (wrong) but is linked to the Related issues paragraph, which I wanted to refer to. I just want to point

this out, as I cannot change the issue description.

#2 - 2012-07-16 14:27 - Etienne Massip

Please see #10278, it could very well be a plugin issue.

#3 - 2012-07-16 16:10 - Martin Grotzke

I just checked a fresh installation and there are also no related issues.

What I did:

$ hg clone --updaterev 2.0-stable https://bitbucket.org/redmine/redmine-all redmine-2.0

$ cd redmine-2.0/

$ bundle install --without development test postgresql mysql

$ echo -e "production:\n  adapter: sqlite3\n  database: db/production.sqlite3" > config/database.yml

$ rake generate_secret_token

$ RAILS_ENV=production rake db:migrate

$ RAILS_ENV=production rake redmine:load_default_data

$ ruby script/rails server webrick -e production

 After logging in as admin I created a new project and a new issue. There I don't see a "related to" drop-down.

Am I missing anything?

This test was performed using ruby 1.9.2 and rails 3.2.6 (with rvm).

#4 - 2012-07-16 20:21 - Etienne Massip

Are you meaning that you can type an issue id but no autocomplete guide popups?

Because autocomplete search triggers only when third character is typed, meaning you can't use it to link your issue to an issue which id < 100.

#5 - 2012-07-16 20:27 - Martin Grotzke

There's just no "related to" dropdown and no input field which I expect to see according to the docs.

#6 - 2012-07-16 20:44 - Etienne Massip

Martin Grotzke wrote:
https://www.redmine.org/projects/redmine/wiki/RedmineIssues#Related-issues
http://demo.redmine.org/
https://www.redmine.org/issues/10278


There's just no "related to" dropdown and no input field which I expect to see according to the docs.

 It appears when you click on the "Add" link on the right on the form.

#7 - 2012-07-17 10:14 - Martin Grotzke

D'oh, I expected this in the update section somewhere near "Parent task". I was completely missing the separate section for "Related issues" which in

fact is there. So this issue can be closed as invalid/rejected (I only have "Resolved" available which doesn't seem to be appropriate).

Thanx for your time and for your help,

cheers,

Martin

#8 - 2012-07-17 10:52 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

Thanks for your feedback!
